<script>
    var requireJS = [];
    loadCSS("css/chosen.css");
    loadJS(requireJS, "js/chosen.js");
    loadJS(requireJS, "js/views/admin-content-add.js");
</script>


<div class="card">
    <div class="card-block">

        <form method="post" id="create-form">

            <input type="hidden" id="content-id" name="content-id" th:value="${id}"/> 
            <div class="form-group row">
                <label class="col-md-4 col-form-label" for="published" th:text="#{activated}">Activado</label>
                <input type="checkbox" class="form-control-sm" id="published" name="published" th:checked="${published}"/> 
            </div>

            <div class="form-group row">
                <label class="col-md-4 col-form-label" for="title" th:text="#{tittle}">Título</label>
                <input type="text" class="form-control-sm" id="title" name="title" th:value="${title}" required="true"/> 
            </div>

            <div class="form-group row">
                <label class="col-md-4 col-form-label" for="description" th:text="#{description}">Descripción</label>
                <textarea type="text" class="form-control-sm" id="description" name="description" th:text="${description}" required="true"></textarea> 
            </div>

            <div class="form-group row">
                <label class="col-md-4 col-form-label" for="content-country" th:text="#{countryName}">País</label>
                <select class="form-control-sm" id="content-country" name="content-country" multiple="true" style="min-width: 300px;" required="true">
                    <option th:selected="${countryAvailable != null && #strings.containsIgnoreCase(countryAvailable,'all')}" value="all" th:text="#{all}">Todos</option>
                    <option th:selected="${countryAvailable != null && #strings.containsIgnoreCase(countryAvailable,'es')}" value="es" th:text="#{ES}">España</option>
                    <option th:selected="${countryAvailable != null && #strings.containsIgnoreCase(countryAvailable,'ec')}" value="ec" th:text="#{EC}">Ecuador</option>
                    <option th:selected="${countryAvailable != null && #strings.containsIgnoreCase(countryAvailable,'pe')}" value="pe" th:text="#{PE}">Perú</option>
                    <option th:selected="${countryAvailable != null && #strings.containsIgnoreCase(countryAvailable,'co')}" value="co" th:text="#{CO}">Colombia</option>
                </select> 
            </div>

            <div class="form-group row">
                <label class="col-md-4 col-form-label" for="content-rank" th:text="#{rank}">Rango</label>
                <select class="form-control-sm" name="content-rank" id="content-rank" multiple="true" style="min-width: 300px;" required="true">
                    <option value="all" th:selected="${rankAvailable != null && #strings.containsIgnoreCase(rankAvailable,'all')}" th:text="#{all}">Todos</option>
                    <option th:each="item : ${ranks}"
                            th:value="${item.name}" 
                            th:selected="${rankAvailable != null && #strings.containsIgnoreCase(rankAvailable,item.name)}"
                            th:text="${item.getRankName()}"></option>
                </select>
            </div>
            <br/>
            <input type="hidden" name="content-file-hidden" id="content-file-hidden"  />
            <input type="hidden" name="thumb-file-hidden" id="thumb-file-hidden"  />
        </form>

        <div class="x_panel">
            <div class="x_title">
                <label th:text="#{files}">Archivos</label>
            </div>
            <br/>
            <div class="form-group row">                    
                <label class="col-md-4 col-form-label" for="content" th:text="#{material}">Material</label>                    
                <i class="fa fa-check-circle fa-3x pull-right green" id="content-file-chk"></i>
                <input type="button" class="btn btn-info pull-right" id="btn-upload-content" value="Subir"/>                        
                <input class="form-control-sm" type="file" name="content-file" id="content-file"  />
            </div>
            <div class="form-group row">                    
                <label class="col-md-4 col-form-label" for="thumbnail" th:text="#{thumbnail + ' (250x150)'}">Miniatura (250x150)</label>
                <i class="fa fa-check-circle fa-3x pull-right green" id="thumb-file-chk"></i>
                <input type="button" class="btn btn-info pull-right" id="btn-upload-thumb" value="Subir"/>
                <input class="form-control-sm" type="file" name="thumb-file" id="thumb-file"/>
            </div>
            <br/>
            <div class="form-group row">                    
                <div class="progress">
                    <div id="content-file-progress" class="progress-bar progress-striped progress-bar-info" data-transitiongoal="0" style="width: 0%;" aria-valuenow="0"></div>
                </div>                    
            </div>
        </div>
        <br/>

    </div>

    <div id="alert_placeholder"></div>

    <hr/>
    <button class="btn btn-danger" data-dismiss="modal" th:text="#{btnClose}">Cerrar</button>
    <button class="btn btn-success pull-right" id="save-content" th:text="#{btnSave}">Guardar</button>
</div>




